From 842fb97fe9662476d9f38836a16128c55d79e079 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 8 Feb 2024 13:33:51 +1100
Subject: [PATCH v1] replica identity clarifications

---
 doc/src/sgml/logical-replication.sgml | 3 ++-
 doc/src/sgml/ref/alter_table.sgml     | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index ec21306..44d6b2c 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -144,7 +144,8 @@
    than <literal>FULL</literal> is set on the publisher side, a replica identity
    comprising the same or fewer columns must also be set on the subscriber
    side.  See <xref linkend="sql-altertable-replica-identity"/> for details on
-   how to set the replica identity.  If a table without a replica identity is
+   how to set the replica identity.  If a table without a replica identity
+   (or with replica identity behavior the same as <literal>NOTHING</literal>) is
    added to a publication that replicates <command>UPDATE</command>
    or <command>DELETE</command> operations then
    subsequent <command>UPDATE</command> or <command>DELETE</command>
diff --git a/doc/src/sgml/ref/alter_table.sgml b/doc/src/sgml/ref/alter_table.sgml
index 9670671..a844195 100644
--- a/doc/src/sgml/ref/alter_table.sgml
+++ b/doc/src/sgml/ref/alter_table.sgml
@@ -913,7 +913,8 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
        <listitem>
         <para>
          Records the old values of the columns of the primary key, if any.
-         This is the default for non-system tables.
+         This is the default for non-system tables. If there is no primary key,
+         the behavior is the same as <literal>NOTHING</literal>.
         </para>
        </listitem>
       </varlistentry>
-- 
1.8.3.1

